Subject: Re: 29.0.50; pixel-scroll-precision-mode conflicts with scroll-margin

From: Yuan Fu <[email-masked]>
Date: Thu, 2 Dec 2021 11:22:49 -0800

> Please try now to see if the issue has been resolved, thanks.

I tried and it now works beautifully, thanks!

However, scroll-margin seems to still mess up scrolling when there are images. You don’t even need images taller than the window height. When there are some images in the window, scrolling either doesn’t take any effect (beginning of the video), or jerks around but doesn’t scroll down (end of the video).

Admittedly this is not a pixel-scroll-precision-mode problem: Emacs without it doesn’t scroll either. I suppose it is because there are too few lines in the window (because of images) that a scroll margin of 4 breaks scrolling. Maybe I should file a separate report?

Thanks,
Yuan